I have written this very simple lisp for updating our standard grid block by picking (1st picked attribute changed to 1, second picked changed to 2 and so on...) What would be the best way to do this but change grids alphabetically (1st picked attribute changed to A, second picked changed to B and so on...) (if (= sn 1) (setq sl A)) seems to be in the right direction I think but im having trouble getting it to work, Anyones help would be greatly appreciated, (defun c:gridnos (/ sn) (setq sn (getint " Start Number: ")) (while sn (command "attedit" "y" "*" "*" "*" PAUSE "" "v" "r" sn "") (setq sn (1+ sn)) ) ) Thanks